=== checkdns/Makefile ===
include ../make.include

CFLAGS	= $(CCOPT) -I../include

SRC	= checkdns.c

OBJS	= $(SRC:%.c=%.o)

LIB	= libcheckdns.a

all	: $(LIB)
install	: all
	cp -f $(LIB) ../lib/.

$(LIB)	: $(OBJS) $(COBJS)
	$(RM) $@
	$(AR) -cr $@ $(OBJS) $(COBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.a *.so *.o

FORCE	:

ifdef DEPENDS
%.d: %.c
	set -e; $(CC) -MM $(CFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

include $(SRC:.c=.d)
endif
