=== iis/Makefile ===
include ../make.include

CXXFLAGS = $(CXXOPT) -I../include
CFLAGS = $(CCOPT) -I../include

SRC	= iistcl.C xim.C
CSRC	= iis.c util.c

OBJS	= $(SRC:%.C=%.o)
COBJS	= $(CSRC:%.c=%.o)

LIB	= libiis.a
SHARED	= libiis.so

all	: $(LIB)
install	: all
	cp -f $(LIB) ../lib/.

$(LIB)	: $(OBJS) $(COBJS)
	$(RM) $@
	$(AR) -cr $@ $(OBJS) $(COBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.a *.so *.o

FORCE	:

ifdef DEPENDS
%.d: %.C
	set -e; $(CXX) -MM $(CXXFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

include $(SRC:.C=.d)

%.d: %.c
	set -e; $(CC) -MM $(CFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

include $(CSRC:.c=.d)
endif
