=== macosx/Makefile ===
include ../make.include
include ../make.pkgs

CXXFLAGS = $(CXXOPT) -I../include -I../saotk/vector \
	-I../$(TKDIR)/generic -I../$(TKDIR)/win \
	-I$(X11INCLUDE)

SRC	= tkmacosx.C \
	macosxlib.C \
	xxlib.C \

OBJS	= $(SRC:%.C=%.o)

INCLS	= macosxlib.h \
	xxlib.h

LIB	= libxxlib.a

all	: $(LIB)
install	: all
	cp $(INCLS) ../include/.
	cp $(LIB) ../lib/.

$(LIB)	: $(OBJS)
	$(RM) $@
	$(AR) -cr $@ $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o *.so *.a

FORCE	:

ifdef DEPENDS
%.d: %.C
	set -e; $(CXX) -MM $(CXXFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

include $(SRC:.C=.d)
endif
