=== src/Makefile ===
include ../make.include

SCRIPTS = \
	2mass.tcl \
	3d.tcl \
	array.tcl \
	analysis.tcl \
	analysisparam.tcl \
	annulus.tcl \
	ar.tcl \
	backup.tcl \
	bin.tcl \
	box.tcl \
	boxannulus.tcl \
	bpanda.tcl \
	buttons.tcl \
	cat.tcl \
	catcds.tcl \
	catcdssrch.tcl \
	catcdssrchdialog.tcl \
	catcmd.tcl \
	catcxc.tcl \
	catdialog.tcl \
	catflt.tcl \
	catmatch.tcl \
	catned.tcl \
	catopt.tcl \
	catplot.tcl \
	catreg.tcl \
	catsdss.tcl \
	catsimbad.tcl \
	catskybot.tcl \
	catsym.tcl \
	cattsv.tcl \
	catvot.tcl \
	centroid.tcl \
	circle.tcl \
	colorbar.tcl \
	comm.tcl \
	command.tcl \
	compass.tcl \
	composite.tcl \
	contour.tcl \
	convert.tcl \
	coord.tcl \
	cpanda.tcl \
	crop.tcl \
	crosshair.tcl \
	cube.tcl \
	debug.tcl \
	dialog.tcl \
	ellipse.tcl \
	ellipseannulus.tcl \
	epanda.tcl \
	error.tcl \
	eso.tcl \
	examine.tcl \
	export.tcl \
	external.tcl \
	file.tcl \
	fits.tcl \
	first.tcl \
	frame.tcl \
	graph.tcl \
	grid.tcl \
	group.tcl \
	header.tcl \
	help.tcl \
	http.tcl \
	hv.tcl \
	hvform.tcl \
	hvsup.tcl \
	iis.tcl \
	imexam.tcl \
	imgsvr.tcl \
	import.tcl \
	info.tcl \
	layout.tcl \
	line.tcl \
	load.tcl \
	magnifier.tcl \
	marker.tcl \
	markeranalysispanda.tcl \
	markeranalysisplot2d.tcl \
	markeranalysisplot3d.tcl \
	markeranalysisradial.tcl \
	markeranalysisstats.tcl \
	markerbase.tcl \
	markerbaseannulus.tcl \
	markerbaseannulusrect.tcl \
	markerbasecenter.tcl \
	markerbaseline.tcl \
	markerbasepanda.tcl \
	markerbasepandarect.tcl \
	markerdialog.tcl \
	mask.tcl \
	manalysis.tcl \
	mbin.tcl \
	mcolor.tcl \
	mecube.tcl \
	medit.tcl \
	menu.tcl \
	mfile.tcl \
	mframe.tcl \
	mhelp.tcl \
	mosaicimage.tcl \
	mosaicimageiraf.tcl \
	mosaicimagewcs.tcl \
	mosaicimagewfpc2.tcl \
	mosaic.tcl \
	mosaiciraf.tcl \
	mosaicwcs.tcl \
	movie.tcl \
	mregion.tcl \
	mscale.tcl \
	multiframe.tcl \
	mview.tcl \
	mwcs.tcl \
	mzoom.tcl \
	nameres.tcl \
	nrrd.tcl \
	nsvr.tcl \
	nvss.tcl \
	pagesetup.tcl \
	panner.tcl \
	panzoom.tcl \
	pixel.tcl \
	photo.tcl \
	plot.tcl \
	plotbar.tcl \
	plotdialog.tcl \
	plotelement.tcl \
	plotline.tcl \
	plotprint.tcl \
	plotprocess.tcl \
	plotscatter.tcl \
	point.tcl \
	polygon.tcl \
	prefs.tcl \
	prefsdialog.tcl \
	print.tcl \
	projection.tcl \
	open.tcl \
	rgb.tcl \
	rgbarray.tcl \
	rgbcube.tcl \
	rgbimage.tcl \
	ruler.tcl \
	samp.tcl \
	sao.tcl \
	save.tcl \
	saveimage.tcl \
	scale.tcl \
	sfits.tcl \
	shm.tcl \
	skyview.tcl \
	slider.tcl \
	smosaic.tcl \
	smosaiciraf.tcl \
	smosaicwcs.tcl \
	smooth.tcl \
	source.tcl \
	srgbcube.tcl \
	starbase.tcl \
	stdfbox.tcl \
	stsci.tcl \
	template.tcl \
	text.tcl \
	tkfbox.tcl \
	url.tcl \
	util.tcl \
	var.tcl \
	vector.tcl \
	vo.tcl \
	wcs.tcl \
	xmfbox.tcl \
	xpa.tcl

INDEX	= pkgIndex.tcl

index	: $(SCRIPTS)
	echo "pkg_mkIndex . $(SCRIPTS)" | ../bin/tclsh8.4

msgs	: FORCE
	grep 'msgcat::mc' $(SCRIPTS) | cut -d[ -f2 | sed -e 's/::mc/::mcset AAA /' -e 's/]/ ""/' | sort | uniq > ../msgs/tmpl.tcl

clean	: FORCE
	$(RM) core *~ *# 

distclean : clean
	$(RM) $(INDEX)

FORCE	:
