=== tkmpeg/Makefile ===
include ../make.include

# we must compile non-optimized (MacOSX)

CXXFLAGS = $(CXXNOPT) -I../include -I$(X11INCLUDE)
CFLAGS	= $(CCNOPT) -I.

SRC	= tkmpeg.C
CSRC	= ezmpeg.c

OBJS	= $(SRC:%.C=%.o)
COBJS	= $(CSRC:%.c=%.o)

LIB	= libtkmpeg.a

all	: $(LIB)
install	: all
	cp -f $(LIB) ../lib/.

$(LIB)	: $(OBJS) $(COBJS)
	$(RM) $@
	$(AR) -cr $@ $(OBJS) $(COBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.a *.so *.o

FORCE	:
