=== debian/changelog ===
saods9 (7.2+dfsg-4) unstable; urgency=low

  [Sergei Golovan]
  * Use tcl8.5-dev and tk8.5-dev build dependencies instead of tcl-dev and
    tk-dev because of FTBFS in case of upgrading tcl-dev and tk-dev to 8.6.
    Closes: #726758

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 18 Oct 2013 21:48:14 +0400

saods9 (7.2+dfsg-3) unstable; urgency=low

  * Re-create htmlwidget/configure. Fixes FTBS on MIPS.

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 28 Sep 2013 15:29:28 +0200

saods9 (7.2+dfsg-2) unstable; urgency=low

  * Create make.linux on clean, closes: #724082

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 26 Sep 2013 18:26:11 +0200

saods9 (7.2+dfsg-1) unstable; urgency=low

  * Change distribution to unstable

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 24 Apr 2013 18:39:50 +0200

saods9 (7.2+dfsg-1~exp1) experimental; urgency=low

  * New upstream version
  * Copyright changed to GPL-3+
  * Push standards-version t 3.9.4 (no change needed)

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 16 Apr 2013 11:28:43 +0200

saods9 (7.1+dfsg-1~exp3) experimental; urgency=low

  * Remove explicite link to tcl8.5 in htmlwidget; fixes FTBS on alpha
    and sh4

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 22 Jan 2013 11:10:00 +0100
